pro cal_spinor_1083_120513

pp = 1
if pp eq 1 then begin
   input_dir = '/data/cbeck/t976/12_may_2013/flir_10830/'
   output_dir = '/data/cbeck/obs2013/120513/reduced_1083_spinor/'
   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.

   input_dir = '/data/cbeck/t976/12_may_2013/sarnoff_8542/'
   output_dir = '/data/cbeck/obs2013/120513/reduced_8542_spinor/'
   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/no_av,int_limit = .2,/full_beam

   input_dir = '/data/cbeck/t976/12_may_2013/flir_15648/'
   output_dir = '/data/cbeck/obs2013/120513/reduced_1565_spinor/'
   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.

endif

pp = 0
if pp eq 1 then begin

input_dir = '/data/cbeck/t976/12_may_2013/flir_10830/'
output_dir = '/data/cbeck/obs2013/120513/reduced_1083_spinor/'
spinor_cal,cal_file = 0,retard = 83.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,/no_av


cchitotal = fltarr(200,10)
rettotal = fltarr(200)

for k = 0.,199 do begin & rettotal(k) =  50.+k*.5 & spinor_cal,cal_file = 0,retard = 50.+k*.5,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/no_av,cchi = cchi,/nverbose & cchitotal(k,*) = cchi & print,k & endfor


plot,rettotal,total(cchitotal,2)

stop


input_dir = '/data/cbeck/t976/12_may_2013/flir_15648/'
output_dir = '/data/cbeck/obs2013/120513/reduced_1565_spinor/'
spinor_cal,cal_file = 0,retard = 105.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,/no_av



cchitotal = fltarr(200,10)
rettotal = fltarr(200)

for k = 0.,199 do begin & rettotal(k) =  50.+k*.5 & spinor_cal,cal_file = 0,retard = 50.+k*.5,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/no_av,cchi = cchi,/nverbose & cchitotal(k,*) = cchi & print,k & endfor

window,0
!p.multi = 0
plot,rettotal,total(cchitotal,2)

stop

tmat_save = '/home/cbeck/laptop_teneriffa/telcal_DST/Tmatrix_May2010_4708-14125.idl'

input_dir = '/data/cbeck/t976/12_may_2013/sarnoff_8542/'
output_dir = '/data/cbeck/obs2013/120513/reduced_8542_spinor/'
spinor_cal,cal_file = 0,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,tmat_save = tmat_save


cchitotal = fltarr(200,10)
rettotal = fltarr(200)

for k = 0.,199 do begin & rettotal(k) =  50.+k*.5 & spinor_cal,cal_file = 0,retard = 50.+k*.5,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/no_av,cchi = cchi,/nverbose & cchitotal(k,*) = cchi & print,k & endfor


window,0
!p.multi = 0
plot,rettotal,total(cchitotal,2)


; ,spat_res =spat_res ,no_av = no_av,plt =plt,ilimit = ilimit,retard = retard,theta_err = theta_err,theta_pol = theta_pol,gainindex = gainindex,darkindex = darkindex,cal_file = cal_file,change_save = change_save,input_dir = input_dir,output_dir = output_dir,flat_file = flat_file,swap = swap,add_cal = add_cal,nverbose = nverbose,cchi = cchi,help = help, n_separations = n_separations
endif

pp = 0
if pp eq 1 then begin

input_dir = '/data/cbeck/t976/12_may_2013/flir_10830/'
output_dir = '/data/cbeck/obs2013/120513/reduced_1083_spinor/'
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 10830.
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 10830.

input_dir = '/data/cbeck/t976/12_may_2013/flir_15648/'
output_dir = '/data/cbeck/obs2013/120513/reduced_1565_spinor/'
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,cont_wl = [230,250],calindex = 0,wavelength = 15650.,spec_line = [180,210]
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,cont_wl = [230,250],calindex = 0,wavelength = 15650.,spec_line = [180,210]

input_dir = '/data/cbeck/t976/12_may_2013/sarnoff_8542/'
output_dir = '/data/cbeck/obs2013/120513/reduced_8542_spinor/'
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 8542.
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 8542.

endif

sscale = 0.3

output_dir = '/data/cbeck/obs2013/120513/reduced_8542_spinor/'
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/120513/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .01,/check_lines,sscale = sscale


output_dir = '/data/cbeck/obs2013/120513/reduced_1565_spinor/'
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/120513/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1565.,pollimit = .01,/check_lines,sscale = sscale

output_dir = '/data/cbeck/obs2013/120513/reduced_1083_spinor/'
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/120513/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .01,/check_lines,sscale = sscale

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

stop






end
