pro cal_spinor_1083_140314

  date ='140314'

  input_dir = '/data/cbeck/obs2014/'+date+'/'+date+'_1083/'
  output_dir = '/data/cbeck/obs2014/'+date+'/'+date+'_1083_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =10830.
  

    binning = 2.
    addshift = [0,5]

  pp = 0
  if pp eq 1 then begin
    ; spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = .5,yyrange =[22,302,333,618],binning = binning,addshift = addshift

     addshift = [0,7]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = .5,yyrange =[22,302,333,618],binning = binning,addshift = addshift

  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 0,retard = 86.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,tmat_save = tmat_save,wavelength = wavelength,/nopause

  endif

pp = 0
if pp eq 1 then begin

   pos_lines =  [280,317.]  ; 412.21443
   cont_wl = [250,260]
 

  ; spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 3.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning

    spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning

endif

pp = 1
if pp eq 1 then begin
sscale = 0.4

iinput_dir = '/data/cbeck/obs2014/'+date+'/'+date+'_1083/'
archive_path = '/export/cbeck/SPINOR_archive/'

inpath = output_dir
outpath = archive_path + '2014/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .005,/check_lines,sscale = sscale,iinput_dir =iinput_dir 

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile =  archive_path + 'SPINOR_archivemain.html',inpath =  archive_path


endif


stop






end
