pro cal_spinor_1083_230714

  date ='230714'

  input_dir = '/home/cbeck/obs2014/'+date+'/'+date+'_1083/'
  output_dir = '/home/cbeck/obs2014/'+date+'/'+date+'_1083_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =10830.


  binning = 2.
  up_lim = 200000.

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

;  restore,output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

  ;   addshift = [0,-1]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = 1.,yyrange =[0,300,360,639],binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,/no_av
     
  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 2,retard = 86.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save

  endif

pp = 1
if pp eq 1 then begin

   pos_lines =  [141,203]       ; 412.21443
   cont_wl = [70,100]
   binning = 1.5

;   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain ; ,/check_lines
   
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,/check_hairlines

endif

pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir  ;'//media/Seagate\ Expansion\ Drive/obs2014/'+date+'/'+date+'_854/'
archive_path = '/home/cbeck/work/SPINOR_archive/'

inpath = output_dir
outpath = archive_path + '2014/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .002,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
