pro cal_spinor_1565_130314

  input_dir = '/media/Seagate\ Expansion\ Drive/obs2014/130314/130314_1565/'
  output_dir = '/media/Seagate\ Expansion\ Drive/obs2014/130314/130314_1565_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength = 15650.

  binning = 2.
  addshift = [0,2.]

  pp = 0
  if pp eq 1 then begin
     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =[13,302,333,620],binning = binning,addshift = addshift
     
  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 0,retard = 105.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,tmat_save = tmat_save,wavelength = wavelength 

  endif

pp = 0
if pp eq 1 then begin

  ;
 pos_lines =  [314.,325.] 
  ;
 cont_wl = [290,305]
 

  ; spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 3.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning

  ;  spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 4.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,/no_align

    spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 5.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,/no_align

endif

pp = 1
if pp eq 1 then begin

sscale = 0.4
iinput_dir = '/media/Seagate\ Expansion\ Drive/obs2014/130314/130314_1565/'


inpath = output_dir
outpath = '/home/cbeck/work/SPINOR_archive/2014/130314/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1565.,pollimit = .04,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = '/home/cbeck/work/SPINOR_archive/SPINOR_archivemain.html',inpath =  '/home/cbeck/work/SPINOR_archive/'

endif


stop






end
