pro cal_spinor_1565_210314

date = '210314'

  input_dir = '/data/cbeck/obs2014/'+date+'/'+date+'_1565/'
  output_dir = '/data/cbeck/obs2014/'+date+'/'+date+'_1565_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength = 15650.

  binning = 2.
 

  pp = 0
  if pp eq 1 then begin

     addshift = [0,4.]
     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =[13,302,333,620],binning = binning,addshift = addshift,/check_lines

     addshift = [0,4.]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = 10.,yyrange =[13,302,333,620],binning = binning,addshift = addshift

     
  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 0,retard = 105.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,tmat_save = tmat_save,wavelength = wavelength,/nopause

  endif

pp = 1
if pp eq 1 then begin

   pos_lines =  [314.,331.] 
   cont_wl = [290,305]
 
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning ;,/check_lines
   
endif

pp = 1
if pp eq 1 then begin
sscale = 0.4

iinput_dir = '/data/cbeck/obs2014/'+date+'/'+date+'_1565/'
archive_path = '/export/cbeck/SPINOR_archive/'


inpath = output_dir
outpath = archive_path+'2014/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1565.,pollimit = .04,/check_lines,sscale = sscale,iinput_dir =iinput_dir 

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath = archive_path

endif


stop






end
