pro cal_spinor_614_070510

  date ='070510'

  input_dir = '/data/cbeck/obs2010/2010_05_T860_Tmat_6149/ccc01/May0710/'

  output_dir =  '/data/cbeck/obs2010/'+date+'_614_reduced/'


; /data/cbeck/data1/data1/obs2015/obs_march_2015/'+date+'_854_reduced1/'

  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =6300.

  binning = 2.
  up_lim = 500000.

;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

 ; restore, output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

     yyrange = [0,460,570,1023]
 ;   pposx = [20,500]

   ;  addshift = [0,-5]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx
  
  endif

  pp = 0
  if pp eq 1 then begin     

     spinor_cal,cal_file = 0,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save 
  
     spinor_cal,cal_file = 1,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save 
     
     spinor_cal,cal_file = 2,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save 

endif


pp = 1
if pp eq 1 then begin

   pos_lines =  [280,390]       ; 412.21443
   cont_wl = [340,360]
   binning = 1.5

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file ;,/check_lines
 
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file ;,/check_lines
   
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 2,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file ;,/check_lines
   
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 3,input_dir = input_dir,output_dir = output_dir,calindex = 1,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file ;,/check_lines
 
for k = 4,11 do begin & spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 2,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file & endfor


endif

pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir 
archive_path = '/data/cbeck/obs2010/SPINOR_archive_temp/'

inpath = output_dir
outpath = archive_path + '/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 614.,pollimit = .01,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath

;spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
