pro cal_spinor_614_160316_test


; 613.45 + findgen(509)*4.15/1000.
; 165

; llam = 613.48 + findgen(509)*4.12/1000.

  date ='160316'

  input_dir = '/net/koa/export/data/cbeck/obs2016/t1071/16_march_2016/flir1_6149/'
;/media/cbeck/741af552-cd43-4ee7-b250-bc2d2685eada/t1071/16_march_2016/
 
  output_dir =  '/net/koa/export/data/cbeck/obs2016/t1071/16_march_2016/test_6149/'

;media/cbeck/741af552-cd43-4ee7-b250-bc2d2685eada/t1071/16_march_2016/SPINOR_reduced_6149_160316/'


; /data/cbeck/data1/data1/obs2015/obs_march_2015/'+date+'_854_reduced1/'

  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =6149.

  binning = 2.
  up_lim = 500000.

;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

 ; restore, output_dir+'lamp_gain.0.sav'

  pp = 1
  if pp eq 1 then begin

     yyrange = [0,305,345,639]
;     pposx = [270,410]

   ;  addshift = [0,37]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = .01,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = .01,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx


  endif

  pp = 1
  if pp eq 1 then begin     


   ;  ccchi = fltarr(10,100)
   ;  for retard = 60.,159 do begin
   ;     index = retard
   ;     index1 = retard
   ;     spinor_cal,cal_file = 1,retard = index,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,wavelength = wavelength,/nopause,tmat_save = tmat_save ,cchi = cchi,/no_av
   ;     ccchi(*,index1-60) = cchi
   ;     print,index1
   ;  endfor
    

     spinor_cal,cal_file = 0,retard = 90.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,tmat_save = tmat_save,/nopause
 

endif


pp = 1
if pp eq 1 then begin

   pos_lines =  [340,438]       ; 412.21443
;   cont_wl = [280,300]

   cont_wl = [165,175]
   binning = 1.5

for k = 0,4 do begin & spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file & endfor

for k = 5,8 do begin & spinor_obs,/plt,gainindex = 1,darkindex = 1,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file & endfor


endif


pp = 0
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir 
archive_path =  '/export/raid2/cbeck/work/SPINOR_archive/'

;'/data/cbeck/obs2010/SPINOR_archive_temp/'

inpath = output_dir
outpath = archive_path + '/2016/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 614.,pollimit = .015,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath

spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
