pro cal_spinor_656_201114

date ='201114'

  input_dir = '/data/cbeck/data1/obs2014/obs_nov_2014/'+date+'/6563_'+date+'/'
  output_dir = '/data/cbeck/data1/obs2014/obs_nov_2014/'+date+'/6563_'+date+'_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'

  binning = 2.
  wavelength = 6563.

  pp = 0
  if pp eq 1 then begin

     addshift = [0,1]

     yyrange = [0,445,575,1023]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange = yyrange,binning = binning,addshift =addshift

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = 10.,yyrange =yyrange,binning = binning,addshift =addshift

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 3.,/full_beam,sspeed = 10.,yyrange =yyrange,binning = binning,addshift =addshift

  endif

  pp = 1
  if pp eq 1 then begin     
     spinor_cal,cal_file = 0,retard = 90.,input_dir = input_dir,output_dir = output_dir,darkindex = 1,gainindex = 1,/plt,tmat_save = tmat_save,wavelength = wavelength,/nopause

stop

  endif


  erg = read_directory(input_dir,filter ='*map*')
  files = erg.files

  nsums = fltarr(n_elements(files))

for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor



pp = 0
if pp eq 1 then begin

   pos_lines =  [294.,430.] 
   cont_wl = [200,220]
   binning = 1.5

for k = 0.,9 do begin & spinor_obs,/plt,gainindex = 0,darkindex = 2,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning & endfor


   
for k = 10.,85 do begin &   spinor_obs,/plt,gainindex = 1,darkindex = 1,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning & endfor






endif

pp = 1
if pp eq 1 then begin
sscale = 0.3
iinput_dir = input_dir


inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2014/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 656.,pollimit = .05,/check_lines,sscale = sscale,iinput_dir =iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = '/export/cbeck/SPINOR_archive/SPINOR_archivemain.html',inpath =  '/export/cbeck/SPINOR_archive/'

endif


stop






end
