pro cal_spinor_854_250714

  date ='250714'

  input_dir = '/home/cbeck/obs2014/'+date+'/'+date+'_854/'
  output_dir = '/home/cbeck/obs2014/'+date+'/'+date+'_854_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =8542.


  binning = 2.
  up_lim = 500000.

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

  restore,output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

     addshift = [0,-6]

   ;  spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =[0,450,580,1020],binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift

     addshift = [0,2]

  ;   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = 10.,yyrange =[0,450,580,1020],binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift

     addshift = [0,1]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 2.,/full_beam,sspeed = 10.,yyrange =[0,450,580,1020],binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift

     
  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 2,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save

  endif

pp = 0
if pp eq 1 then begin

   pos_lines =  [239,239]       ; 412.21443
   cont_wl = [280,320]
   binning = 1.5

   ccal_file = '/home/cbeck/obs2014/230714/230714_854_reduced/xmat.140723.154631.0.ccc01.c-hrt.cal.0003.fits.sav'

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 2.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 3.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file
   
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 4.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 5.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

endif

pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir  ;'//media/Seagate\ Expansion\ Drive/obs2014/'+date+'/'+date+'_854/'
archive_path = '/home/cbeck/work/SPINOR_archive/'

inpath = output_dir
outpath = archive_path + '2014/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 854.,pollimit = .04,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
