pro fringe_corr_spinor_1083_200314

output_dir = '/data/cbeck/obs2014/200314/200314_1083_fringe_filtered/'
input_dir ='/data/cbeck/obs2014/200314/200314_1083_reduced/'

;scr2/cbeck/dpc/080213_854/reduced_8542_spinor/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files


; 16.0000      34.0000
;       0.00000      2.00000
;ppos = [18,31,0,200]   ; x0, x1, y0, y1

;noquv = [0,0,1]
;pposi = [12,33,0,0]
;pposq = [18,40,0,0, 39,50,0,7]
;pposu = [12,33,0,0]
;pposv = [12,33,0,0]

;cont_wl = [270,290]

pp = 9
if pp eq 1 then begin
for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes_new,infile,input_dir = input_dir,output_dir = output_dir,pposi = pposi,pposq = pposq,pposu = pposu,pposv = pposv,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,check_lines = check_lines,/plt,noiquv = [0,1,1,1] & endfor

endif

sscale = 0.5
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2014/200314/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .0075,sscale = sscale,/check_lines

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

stop

end
