pro fringe_corr_spinor_459_220316

output_dir = '/net/koa/export/data/cbeck/obs2016/t1071/22_march_2016/SPINOR_reduced_4588_220316_fringe_corr/'
input_dir ='/net/koa/export/data/cbeck/obs2016/t1071/22_march_2016/SPINOR_reduced_4588_220316/'

;/media/cbeck/741af552-cd43-4ee7-b250-bc2d2685eada/t1071/16_march_2016/SPINOR_reduced_6149_160316/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files



; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1


pposq  = [43.0000, 53.0000,0,0]
pposu  = [43.0000, 53.0000,0,0]
pposv  = [43.0000, 53.0000,0,0]
pos_solar = 294.

;poscont = [350,400]

pp = 1
if pp eq 1 then begin

for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes_new,infile,input_dir = input_dir,output_dir = output_dir,pposi = pposi,pposq = pposq,pposu = pposu,pposv = pposv,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,noiquv = [0,1,1,1],/plt,poscont = poscont,/resize & endfor

endif

stop

sscale = 0.3
inpath = output_dir
outpath = '/export/raid2/cbeck/work/SPINOR_archive/2016/140316/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 614.,pollimit = .01,sscale = sscale
inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

stop

end
