pro fringe_corr_spinor_656_180314

output_dir = '/net/koa/export/data/cbeck/obs2014/180314/180314_656_fringecorr/'
input_dir ='/net/koa/export/data/cbeck/obs2014/180314/180314_656_reduced/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files

; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1

cont_wl = [220,250]

;pposi = [31,43,0,0]
pposq = [10,70,0,0]
pposu = [10,70,0,0]
pposv = [10,70,0,0]

pp = 1
if pp eq 1 then begin
for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes_new,infile,input_dir = input_dir,output_dir = output_dir,pposi = pposi,pposq = pposq,pposu = pposu,pposv = pposv,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,noiquv = [0,1,1,1],/plt & endfor

endif

pp = 1
if pp eq 1 then begin


iinput_dir = '/net/koa/export/data/cbeck/obs2014/180314/180314_656/'

sscale = 0.3
inpath = output_dir
outpath = '/export/raid2/cbeck/work/SPINOR_archive/2014/180314/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 656.,pollimit = .0125,sscale = sscale,/check_lines,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = '/export/raid2/cbeck/work/SPINOR_archive/SPINOR_archivemain.html',inpath =  '/export/raid2/cbeck/work/SPINOR_archive/'



endif


stop

end
