pro fringe_corr_spinor_684_221114

date = '221114'

output_dir = '/data/cbeck/data1/obs2014/221114_fringe_filtered/'
input_dir ='/data/cbeck/data1/obs2014/221114_reduced/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files

; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1


pposu = [7,17,0,0]
pposq = [7,17,0,0]
pposv = [7,17,0,0]

pos_lines = [95,197]
cont_wl = [290,310]

pp = 1
if pp eq 1 then begin

for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes_new,infile,input_dir = input_dir,output_dir = output_dir,pposi = pposi,pposq = pposq,pposu = pposu,pposv = pposv,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,noiquv = [0,1,1,1],/plt & endfor

; ,/check_lines

endif



pp = 1
if pp eq 1 then begin

sscale = 0.3
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2014/'+date+'/'

iinput_dir = '/data/cbeck/data1/obs2014/'+date+'/'

generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 684.,pollimit = .01,sscale = sscale,ppos_lines = ppos_lines

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

endif


stop

end
