pro cal_spinor_1083_050417

  date ='050417'

  input_dir = '/data/cbeck/obs2017/obs_april_2017/ccc01/Apr0517/'
  output_dir =  '/data/cbeck/obs2017/obs_april_2017/ccc01/'+date+'_1083_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =10830.

  binning = 2.
  up_lim = 500000.

;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

 ; restore, output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

	yyrange =[0,265,357,640]

    ; addshift = [0,-3]

  ;   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange = yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,/no_av

 ;    addshift = [0,1]
  ;   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = 10.,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift

;addshift = [0,3]

 spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 2.,/full_beam,sspeed = 10.,yyrange = yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,/no_av

  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 0,retard = 86.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save

 spinor_cal,cal_file = 2,retard = 86.,input_dir = input_dir,output_dir = output_dir,darkindex = 2,gainindex = 2,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save

 endif


;stop


pp = 1
if pp eq 1 then begin

   pos_lines =  [226,287]       ; 412.21443
   cont_wl = [150,170]
   binning = 1.5

  spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file ;,/check_lines
   
   spinor_obs,/plt,gainindex = 1,darkindex = 1,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

   spinor_obs,/plt,gainindex = 2,darkindex = 2,angle = 0.,obsindex = 2.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

   spinor_obs,/plt,gainindex = 2,darkindex = 2,angle = 0.,obsindex = 3.,input_dir =input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file

  spinor_obs,/plt,gainindex = 2,darkindex = 2,angle = 0.,obsindex = 4.,input_dir = input_dir,output_dir = output_dir,calindex = 1,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file,/no_align


endif

;stop

pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir  ;'//media/Seagate\ Expansion\ Drive/obs2014/'+date+'/'+date+'_854/'
archive_path = '/data/cbeck/obs2017/obs_april_2017/spinor_arch_temp/'

inpath = output_dir
outpath = archive_path +date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .01,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath

;spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
