pro cal_spinor_1083_100417

  date ='100417'

  input_dir = '/data/cbeck/obs2017/obs_april_2017/ccc01/Apr1017/'
  output_dir = '/data/cbeck/obs2017/obs_april_2017/ccc01/'+date+'_1083_reduced/'


  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =10830.


;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  binning = 2.
  up_lim = 200000.

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

;  restore,output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

     addshift = [-2,0]

     yyrange = [80,245,410,575]

    

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,sspeed = .005,yyrange = yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,/full_beam,/nolines,/no_av
   


  endif

  pp = 0
  if pp eq 1 then begin     

   ;  spinor_cal,cal_file = 0,retard = 102.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,tmat_save = tmat_save, n_separations = 3

     spinor_cal,cal_file = 0,retard = 86.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,tmat_save = tmat_save, n_separations = 3,/skycal

  endif


;stop

pp = 1
if pp eq 1 then begin

   pos_lines =  [30,30]       ; 412.21443
   cont_wl = [30,35]
   binning = 1.5
   pos_solar = [35,40]

for k =0,31 do begin & spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,/no_align,/nolines , pos_solar =  pos_solar & endfor 

;,/save_telmat,/norot,/notelcor  & endfor ; ,/check_lines


endif

;stop

pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir 
archive_path = '/data/cbeck/obs2017/obs_april_2017/spinor_arch_temp/'

;/media/GFPI/SPINOR_archive_temp/';export/raid2/cbeck/work/SPINOR_archive/'

inpath = output_dir
outpath = archive_path +date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .002,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath

;spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
