pro cal_spinor_140513

pp = 0
if pp eq 1 then begin
   input_dir = '/data/cbeck/t976/14_may_2013/flir_10830/'
   output_dir = '/data/cbeck/obs2013/140513/reduced_1083_spinor/'
   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.

   input_dir = '/data/cbeck/t976/14_may_2013/sarnoff_8542/'
   output_dir = '/data/cbeck/obs2013/140513/reduced_8542_spinor/'
   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,int_limit = .2,/full_beam

   input_dir = '/data/cbeck/t976/14_may_2013/flir_15648/'
   output_dir = '/data/cbeck/obs2013/140513/reduced_1565_spinor/'
   spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.

endif

pp = 0
if pp eq 1 then begin

input_dir = '/data/cbeck/t976/14_may_2013/flir_10830/'
output_dir = '/data/cbeck/obs2013/140513/reduced_1083_spinor/'
spinor_cal,cal_file = 0,retard = 83.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt

input_dir = '/data/cbeck/t976/14_may_2013/flir_15648/'
output_dir = '/data/cbeck/obs2013/140513/reduced_1565_spinor/'
spinor_cal,cal_file = 0,retard = 105.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt

input_dir = '/data/cbeck/t976/14_may_2013/sarnoff_8542/'
output_dir = '/data/cbeck/obs2013/140513/reduced_8542_spinor/'
spinor_cal,cal_file = 0,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt

endif

pp = 0
if pp eq 1 then begin

input_dir = '/data/cbeck/t976/14_may_2013/flir_10830/'
output_dir = '/data/cbeck/obs2013/140513/reduced_1083_spinor/'
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 10830.,/no_align

input_dir = '/data/cbeck/t976/14_may_2013/flir_15648/'
output_dir = '/data/cbeck/obs2013/140513/reduced_1565_spinor/'
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,cont_wl = [230,250],calindex = 0,wavelength = 15650.,spec_line = [180,210],/no_align

input_dir = '/data/cbeck/t976/14_may_2013/sarnoff_8542/'
output_dir = '/data/cbeck/obs2013/140513/reduced_8542_spinor/'
spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 8542.,/check_hairlines,/no_align


endif



sscale = 0.3

output_dir = '/data/cbeck/obs2013/140513/reduced_8542_spinor/'
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/140513/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .01,/check_lines,sscale = sscale

sscale = 0.3

output_dir = '/data/cbeck/obs2013/140513/reduced_1565_spinor/'
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/140513/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1565.,pollimit = .01,/check_lines,sscale = sscale

output_dir = '/data/cbeck/obs2013/140513/reduced_1083_spinor/'
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/140513/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .01,/check_lines,sscale = sscale

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

stop






end
