pro cal_spinor_431_160316

  date ='160316'

  input_dir = '/net/koa/export/data/cbeck/obs2016/t1071/16_march_2016/sarnoff2_4315/'
  output_dir = '/net/koa/export/data/cbeck/obs2016/t1071/16_march_2016/SPINOR_reduced_4315_160316/'


  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =4315.


;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  binning = 2.
  up_lim = 200000.

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

;  restore,output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

;     addshift = [0,-16]

     yyrange = [64,480,555,977]-20

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = .01,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx

;     addshift = [0,33]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = .01,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx

  endif

  pp = 1
  if pp eq 1 then begin     

   
;     ccchi = fltarr(10,100)
;     for retard = 70.,169 do begin
;        index = retard
;        index1 = retard
;        spinor_cal,cal_file = 1,retard = index,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,wavelength = wavelength,/nopause,tmat_save = tmat_save ,cchi = cchi,/no_av
;        ccchi(*,index1-70) = cchi
;        print,index1
;     endfor
       
     spinor_cal,cal_file = 0,retard = 120,input_dir = input_dir,output_dir = output_dir,darkindex = 1,gainindex = 1,wavelength = wavelength,/nopause,tmat_save = tmat_save,/plt,/no_av


stop


  endif

pp = 1
if pp eq 1 then begin

  pos_lines =  [112,245]       ; 412.21443
   cont_wl = [200,220]
   binning = 1.5

for k =0,4 do begin & spinor_obs,/plt,gainindex = 1,darkindex = 1,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file & endfor


for k =5,8 do begin & spinor_obs,/plt,gainindex = 1,darkindex = 1,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file & endfor


endif


pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir 
archive_path = '/export/raid2/cbeck/work/SPINOR_archive/'

inpath = output_dir
outpath = archive_path + '2016/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 431.,pollimit = .002,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
