pro cal_spinor_5142_220316


  date ='220316'

  input_dir = '/net/koa/export/data/cbeck/obs2016/t1071/22_march_2016/flir1_5142/';media/cbeck/741af552-cd43-4ee7-b250-bc2d2685eada/t1071/22_march_2016/flir1_5142/'

  output_dir =  '/net/koa/export/data/cbeck/obs2016/t1071/22_march_2016/SPINOR_reduced_5142_220316/'
;media/cbeck/741af552-cd43-4ee7-b250-bc2d2685eada/t1071/22_march_2016/SPINOR_reduced_5142_220316/'


; /data/cbeck/data1/data1/obs2015/obs_march_2015/'+date+'_854_reduced1/'

  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =5142.

  binning = 2.
  up_lim = 500000.

;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

 ; restore, output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

     yyrange = [25,300,340,605]
 ;   pposx = [20,500]
;     addshift = [0,3]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = .01,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx
   
  endif

  pp = 1
  if pp eq 1 then begin     


     spinor_cal,cal_file = 0,retard = 105.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save,/no_av

stop

 ;    ccchi = fltarr(10,100)
 ;    for retard = 60.,159 do begin
 ;       index = retard
 ;       index1 = retard
 ;       spinor_cal,cal_file = 0,retard = index,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,wavelength = wavelength,/nopause,tmat_save = tmat_save ,cchi = cchi,/no_av
 ;       ccchi(*,index1-60) = cchi
 ;       print,index1
 ;    endfor

;stop


endif


pp = 1
if pp eq 1 then begin

   pos_lines =  [160,334]       ; 412.21443
   cont_wl = [190,210]
   binning = 1.5

for k = 0,2 do begin & spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = k,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file & endfor



endif


pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir 
archive_path =  '/export/raid2/cbeck/work/SPINOR_archive/'

;'/data/cbeck/obs2010/SPINOR_archive_temp/'

inpath = output_dir
outpath = archive_path + '/2016/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 514.,pollimit = .015,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath

spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
