pro cal_spinor_614_140316


  date ='140316'

  input_dir =  '/net/koa/export/data/cbeck/obs2016/t1071/14_march_2016/flir1_6149/'

  output_dir =   '/net/koa/export/data/cbeck/obs2016/newcal/6149/140316/'

; '/net/koa/export/data/cbeck/obs2016/telcal_act/6149/140316/'

;'/net/koa/export/data/cbeck/obs2016/newcal/6149/140316/'

; '/net/koa/export/data/cbeck/obs2016/telcal_deact/6149/140316/'

; /data/cbeck/data1/data1/obs2015/obs_march_2015/'+date+'_854_reduced1/'

  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =6149.

  binning = 2.
  up_lim = 500000.

;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

 ; restore, output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin

     yyrange = [0,305,345,639]
 ;   pposx = [20,500]

;     addshift = [0,37]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = .01,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = .01,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,pposx = pposx


  endif

  pp = 0
  if pp eq 1 then begin     


   ;  ccchi = fltarr(10,100)
   ;  for retard = 60.,159 do begin
   ;     index = retard
   ;     index1 = retard
   ;     spinor_cal,cal_file = 1,retard = index,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,wavelength = wavelength,/nopause,tmat_save = tmat_save ,cchi = cchi,/no_av
   ;     ccchi(*,index1-60) = cchi
   ;     print,index1
   ;  endfor
    

     spinor_cal,cal_file = 0,retard = 90.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save 
 
;     spinor_cal,cal_file = 1,retard = 90.,input_dir = input_dir,output_dir = output_dir,darkindex = 1,gainindex = 1,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save 

;     spinor_cal,cal_file = 2,retard = 90.,input_dir = input_dir,output_dir = output_dir,darkindex = 1,gainindex = 1,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save 

endif


pp = 1
if pp eq 1 then begin

;restore,'/net/koa/export/data/cbeck/obs2016/quv_results/tobefitted/fitres_6149.sav'

restore,'/net/koa/export/data/cbeck/obs2016/quv_results/tobefitted/6149_fit_step2_center.sav'


;   pos_lines =  [337,436]       ; 412.21443
;   cont_wl = [280,300]

   pos_lines =  [155,190]       ; 412.21443
   cont_wl = [167,177]


   binning = 1.5

spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file,/save_telmat, nochange = nochange  ;,/notelcor

spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file,/save_telmat, nochange = nochange  ;,/notelcor

spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 2,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file,/save_telmat, nochange = nochange  ;,/notelcor

endif


pp = 0
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir 
archive_path =  '/export/raid2/cbeck/work/SPINOR_archive/'

;'/data/cbeck/obs2010/SPINOR_archive_temp/'

inpath = output_dir
outpath = archive_path + '/2016/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 614.,pollimit = .015,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath

spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
