pro cal_spinor_656_130314

; /media/Seagate\ Expansion\ Drive/

  input_dir = '/data/cbeck/obs2014/130314/130314_656/'
  output_dir = '/data/cbeck/obs2014/130314/130314_656_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'

  binning = 2.
  wavelength = 6563.

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

;  restore,output_dir+'lamp_gain.0.sav'

  pp = 0
  if pp eq 1 then begin
     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =[45,480,530,965],binning = binning,/nopause ;,lamp_gain = lamp_gain
     
  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 0,retard = 90.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,tmat_save = tmat_save,wavelength = wavelength,/nopause

  endif

pp = 0
if pp eq 1 then begin

   pos_lines =  [171.,325.] 
   cont_wl = [260,280]
 
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 3.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,/notelcor,/noxmat ;,lamp_gain = lamp_gain

stop

  ;  spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 4.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength =  wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,/no_align

  ;  spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 5.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength =  wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,/no_align

endif

pp = 1
if pp eq 1 then begin
sscale = 0.3
iinput_dir = '/data/cbeck/obs2014/130314/130314_656/'

inpath = output_dir
archive_path =  '/export/cbeck/SPINOR_archive/'

outpath = archive_path+'2014/130314/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 656.,pollimit = .04,/check_lines,sscale = sscale,iinput_dir =iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
