pro cal_spinor_854_010813

  input_dir = '/scr2/cbeck/aug_01_13/sarnoff_8542/'
  output_dir = '/scr2/cbeck/dpc/080113_854/reduced_8542_spinor/'
  tmat_save = '/home/cbeck/laptop_teneriffa/telcal_DST/Tmatrix_May2010_4708-14125.idl'

  pp = 0
  if pp eq 1 then begin
     
     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =[60,490,550,970]

  endif

  pp = 0
  if pp eq 1 then begin
       
     spinor_cal,cal_file = 3,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,tmat_save = tmat_save,wavelength = 8540.

  endif

  pp = 1
  if pp eq 1 then begin

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 8542.,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down
   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = 8542.,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down

endif

sscale = 0.3

inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/010813/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 854.,pollimit = .04,/check_lines,sscale = sscale

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

stop






end
