pro cal_spinor_854_140314

date ='140314'
 input_dir = '/media/Seagate\ Expansion\ Drive/obs2014/'+date+'/'+date+'_854/'
  output_dir = '/media/Seagate\ Expansion\ Drive/obs2014/'+date+'/'+date+'_854_reduced_new/'

;  input_dir = '/home/cbeck/data_march_2014/'+date+'/'+date+'_854/'
;  output_dir = '/home/cbeck/data_march_2014/'+date+'/'+date+'_854_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =8542.

  binning = 2.


  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

  restore,output_dir+'lamp_gain.0.sav'


  pp = 0
  if pp eq 1 then begin

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =[50,490,550,1020],binning = binning,lamp_gain = lamp_gain

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = 10.,yyrange =[50,490,550,1020],binning = binning,lamp_gain = lamp_gain

     
  endif

  pp = 0
  if pp eq 1 then begin     
     spinor_cal,cal_file = 0,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 0,gainindex = 0,/plt,tmat_save = tmat_save,wavelength = wavelength,/nopause

  endif

pp = 1
if pp eq 1 then begin

  pos_lines =  [228,228]  ; 412.21443
   cont_wl = [265,280]
  
  up_lim = 300000.

 ;spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,lamp_gain = lamp_gain,up_lim = up_lim

 spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 1.,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,lamp_gain = lamp_gain,up_lim = up_lim

endif

pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = '/media/Seagate\ Expansion\ Drive/obs2014/'+date+'/'+date+'_854/'

inpath = output_dir
outpath = '/home/cbeck/work/SPINOR_archive/2014/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 854.,pollimit = .03,/check_lines,sscale = sscale,iinput_dir =iinput_dir 

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = '/home/cbeck/work/SPINOR_archive/SPINOR_archivemain.html',inpath =  '/home/cbeck/work/SPINOR_archive/'

endif


stop






end
