pro cal_spinor_854_260315

  date ='260315'

  input_dir = '/data/cbeck/data1/obs2015/obs_march_2015/'+date+'_854/'
  output_dir =  '/data/cbeck/data1/obs2015/obs_march_2015/'+date+'_854_reduced/'
  tmat_save = '/home/cbeck/laptop_teneriffa/spinor_soft/Tmatrix_May2010_4708-14125.idl'
  wavelength =8542.

  binning = 2.
  up_lim = 500000.

;  erg = read_directory(input_dir,filter ='*map*')
;  files = erg.files
;  nsums = fltarr(n_elements(files))
;for k = 0,n_elements(files)-1 do begin & fxread,input_dir+files(k),data,hdr,exten = 1 & erg = fxpar(hdr,'SUMS') & nsums(k) = erg & endfor

  pp = 0
  if pp eq 1 then begin

; use lamp flat as initial correction
   spinor_lamp_ff,input_dir=input_dir,output_dir=output_dir,lamp_flat_file = 0,/plt
 
  endif

  restore, output_dir+'lamp_gain.0.sav'

  pp = 1
  if pp eq 1 then begin

     yyrange = [0,460,563,1023]

     addshift = [0,-5]

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 0.,/full_beam,sspeed = 10.,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift,/no_av

     spinor_ff,input_dir=input_dir,output_dir=output_dir,/plt,flat_file = 1.,/full_beam,sspeed = 10.,yyrange =yyrange,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,addshift = addshift

  endif

  pp = 1
  if pp eq 1 then begin     

     spinor_cal,cal_file = 0,retard = 88.,input_dir = input_dir,output_dir = output_dir,darkindex = 1,gainindex = 1,/plt,wavelength = wavelength,/nopause,tmat_save = tmat_save 

endif


pp = 1
if pp eq 1 then begin

   pos_lines =  [111,288]       ; 412.21443
   cont_wl = [380,400]
   binning = 1.5

   spinor_obs,/plt,gainindex = 0,darkindex = 0,angle = 0.,obsindex = 0,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file ;,/check_lines

   spinor_obs,/plt,gainindex = 1,darkindex = 1,angle = 0.,obsindex = 1,input_dir = input_dir,output_dir = output_dir,calindex = 0,wavelength = wavelength,tmat_save = tmat_save,/nopause,pos_lines = pos_lines,hair_up = hair_up, hair_down = hair_down,cont_wl = cont_wl,binning = binning,up_lim = up_lim,lamp_gain = lamp_gain,ccal_file = ccal_file



endif

pp = 1
if pp eq 1 then begin
sscale = 0.3

iinput_dir = input_dir 
archive_path = '/export/cbeck/SPINOR_archive/'

inpath = output_dir
outpath = archive_path + '2015/'+date+'/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 854.,pollimit = .01,/check_lines,sscale = sscale,iinput_dir = iinput_dir

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml,outfile = archive_path+'SPINOR_archivemain.html',inpath =  archive_path

endif


stop






end
