pro fringe_corr_spinor_614_060510

output_dir = '/data/cbeck/obs2010/060510_614_fringe_filtered_notelcor/'
input_dir ='/data/cbeck/obs2010/060510_614_reduced_notelcor/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files

; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1


pposq  = [20.0000, 22.0000,0,0]
pposu  = [20.0000, 22.0000,0,0]
pposv  = [20.0000, 22.0000,0,0]



pp = 1
if pp eq 1 then begin
for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes_new,infile,input_dir = input_dir,output_dir = output_dir,pposi = pposi,pposq = pposq,pposu = pposu,pposv = pposv,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,noiquv = [0,1,1,1],/plt,/byline & endfor

endif

sscale = 0.3
inpath = output_dir
outpath = '/data/cbeck/obs2010/SPINOR_archive_temp/060510/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 614.,pollimit = .01,sscale = sscale
inpath = outpath
spinor_create_html,filepath = inpath

;spinor_create_mainhtml

stop

end
