pro fringe_corr_spinor_656_200314

output_dir = '/data/cbeck/obs2014/fringe_filtered_march_2014/200314_fringe_filt_656/'
input_dir ='/data/cbeck/obs2014/200314/200314_656_reduced/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files

; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1

cont_wl = [200,220]

pp = 0
if pp eq 1 then begin
for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes,infile,input_dir = input_dir,output_dir = output_dir,ppos = ppos,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,/check_lines,/plt & endfor

endif

pp = 1
if pp eq 1 then begin

sscale = 0.3
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2014/200314/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 656.,pollimit = .0125,sscale = sscale,/check_lines

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

endif


stop

end
