pro fringe_corr_spinor_854_030813

date = '030813'

output_dir = '/data/cbeck/data1/obs2013/030813/fringe_filtered_8542_030813/'
input_dir ='/data/cbeck/data1/obs2013/030813/reduced_8542_030813/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files

; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1


pposu = [14,33,0,0]
pposq = [14,33,0,0]
pposv = [14,33,0,0]

pos_lines = [136,243]
cont_wl = [260,280]

pp = 1
if pp eq 1 then begin

for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes_new,infile,input_dir = input_dir,output_dir = output_dir,pposi = pposi,pposq = pposq,pposu = pposu,pposv = pposv,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,noiquv = [0,1,1,1],/plt & endfor

; ,/check_lines

endif



pp = 1
if pp eq 1 then begin

sscale = 0.3
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/'+date+'/'

iinput_dir = '/nfs/export/scr2/cbeck/dpc/t985_aug_03/sarnoff_8542/'

generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 854.,pollimit = .03,sscale = sscale,ppos_lines = ppos_lines

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

endif


stop

end
