pro fringe_corr_spinor_854_201114

output_dir = '/net/koa/export/data/cbeck/data1/obs2014/obs_nov_2014/201114/8542_201114_fringecorr/'
input_dir ='/net/koa/export/data/cbeck/data1/obs2014/obs_nov_2014/201114/8542_201114_reduced/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files

; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1

pposq  = [8.0000, 20.0000,0,0]
pposu  = [8.0000, 20.0000,0,0]
pposv  = [8.0000, 20.0000,0,0]

cont_wl = [80,100]

pp = 1
if pp eq 1 then begin

for k = 0,n_elements(files)-1 do begin & infile = files(k) & spinor_corr_fringes_new,infile,input_dir = input_dir,output_dir = output_dir,pposi = pposi,pposq = pposq,pposu = pposu,pposv = pposv,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,noiquv = [0,1,1,1],/plt,poscont = poscont & endfor


endif

pp = 1
if pp eq 1 then begin

sscale = 0.3
inpath = output_dir
outpath = '/export/raid2/cbeck/work/SPINOR_archive/2014/200314/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .03,sscale = sscale,/check_lines

inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

endif


stop

end
