pro fringe_corr_spinor_854_300713

output_dir = '/nfs/export/scr2/cbeck/dpc/fringe_filtered_8542_spinor/073013/'
input_dir ='/nfs/export/scr2/cbeck/dpc/073013/reduced_8542_spinor/'

erg = read_directory(input_dir,filter ='*.dat')
files = erg.files

; 18.0000      31.0000
;       0.00000      202.000
; 134.69061
;       242.85388
;pos_lines = [134,243]
;ppos = [18,31,0,200]   ; x0, x1, y0, y1

pp = 1
if pp eq 1 then begin
for k = 0,n_elements(files)-1 do begin & infile = files(k) &  spinor_corr_fringes,infile,input_dir = input_dir,output_dir = output_dir,ppos = ppos,pos_solar = pos_solar,cont_wl =cont_wl,pos_lines = pos_lines,check_lines = check_lines,/plt & endfor

endif

sscale = 0.3
inpath = output_dir
outpath = '/export/cbeck/SPINOR_archive/2013/300713/'
generate_spinor_archive_files,inpath = inpath, outpath = outpath,twice = 4,wavelen = 1083.,pollimit = .03,sscale = sscale
inpath = outpath
spinor_create_html,filepath = inpath
spinor_create_mainhtml

stop

end
